Subject: Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window

From: martin rudalics <[email-masked]>
Date: Sat, 24 Mar 2012 20:48:13 +0100

> I don't know, I would need to see some details, like how will this
 > preference be visible to the display engine.

Via some function that extracts a valid face from a window parameter.
Actually, the only interesting thing IMO is the background attribute.  I
don't think that changing any other attributes would make sense.  But
the same holds for the current patch as well: You simply fill up the
rest of the window with the background of the remapped default face.  Or
am I missing something?

 > Please note that the changes I've shown only notice when the `default'
 > face is being remapped, they change nothing in how that default face
 > is computed.  So I suspect we won't be able to use the same mechanism
 > to do what you want, because what you want changes the way the default
 > face is computed (IIUC).

I don't know how face remapping works so I can't tell.  I thought that
remapping does recompute the default face.

martin